import request from '@/utils/request' 

// 列表
export function list (data) {
  return request({
    url: `/store/device/page`,
    method: 'post',
    data
  })
}

// 详情
export function detail(data) {
  return request({
    url: `/store/device/get`,
    method: 'post',
    data
  })
}

// 新增
export function submit(data) {
  return request({
    url: `/store/device/add`,
    method: 'post',
    data
  })
}

// 编辑
export function edit(data){
  return request({
    url: `/store/device/edit`,
    method: 'put',
    data
  })
}

// 状态
export function change(data) {
  return request({
    url: `/store/device/changeStatus`,
    method: 'put',
    data
  })
}

// 删除
export function remove(data) {
  return request({
    url: `/store/device/remove`,
    method: 'delete',
    data
  })
}

// wifi配网
export function wifi(data) {
  return request({
    url: `/store/device/sendWifiInfo`,
    method: 'post',
    data
  })
}